Skip to main content
GET
/
v1
/
workers
/
{id}
Get a worker
curl --request GET \
  --url https://api.plane.com/v1/workers/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plane.com/v1/workers/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plane.com/v1/workers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "wr_yLSx6",
  "type": "employee",
  "number": null,
  "title": "Corporate Controller",
  "name": "Grace Thompson",
  "email": "grace.thompson@mail.example.com",
  "dob": null,
  "compensation": {
    "amount": "37.0",
    "unit": "hour",
    "currency": "USD",
    "frequency": "monthly",
    "stock": null,
    "other": null
  },
  "classification": {
    "type": "",
    "status": "",
    "term": "",
    "overtime": null,
    "starts": "2026-03-27",
    "ends": null
  },
  "role": {
    "title": "Corporate Controller",
    "responsibilities": "Financial reporting, internal controls, audit management, compliance",
    "level": "Manager"
  },
  "reporting": {
    "department": null,
    "manager": {
      "name": "",
      "email": "priya@airfoil.example.com"
    },
    "starts": null,
    "ends": null
  },
  "employment": {
    "id": "wre_yLSx6",
    "current": true,
    "status": "active",
    "starts": "2025-03-27",
    "ends": null,
    "primary": true,
    "compensation": {
      "amount": "37.0",
      "unit": "hour",
      "currency": "USD",
      "frequency": "monthly",
      "stock": null,
      "other": null
    },
    "location": {
      "address": {
        "country": "US",
        "city": "San Francisco",
        "line1": "123 Market Street",
        "line2": "Suite 500",
        "postal_code": "94103",
        "state": "CA"
      }
    },
    "classification": {
      "type": "",
      "status": "",
      "term": "",
      "overtime": null,
      "starts": "2026-03-27",
      "ends": null
    },
    "role": {
      "title": "Corporate Controller",
      "responsibilities": "Financial reporting, internal controls, audit management, compliance",
      "level": "Manager"
    },
    "reporting": {
      "department": null,
      "manager": {
        "name": "",
        "email": "priya@airfoil.example.com"
      },
      "starts": null,
      "ends": null
    }
  },
  "accounts": []
}

Parameters

id
string
required
The ID of a worker in your Plane workspace.
expand
string[]
Expandable fields to return as objects instead of collapsed strings. Supported values are name and email.

Returns

Returns a worker if a valid identifier was provided, and returns an error otherwise.
{
  "id": "wr_yLSx6",
  "type": "employee",
  "number": null,
  "title": "Corporate Controller",
  "name": "Grace Thompson",
  "email": "grace.thompson@mail.example.com",
  "dob": null,
  "compensation": {
    "amount": "37.0",
    "unit": "hour",
    "currency": "USD",
    "frequency": "monthly",
    "stock": null,
    "other": null
  },
  "classification": {
    "type": "",
    "status": "",
    "term": "",
    "overtime": null,
    "starts": "2026-03-27",
    "ends": null
  },
  "role": {
    "title": "Corporate Controller",
    "responsibilities": "Financial reporting, internal controls, audit management, compliance",
    "level": "Manager"
  },
  "reporting": {
    "department": null,
    "manager": {
      "name": "",
      "email": "priya@airfoil.example.com"
    },
    "starts": null,
    "ends": null
  },
  "employment": {
    "id": "wre_yLSx6",
    "current": true,
    "status": "active",
    "starts": "2025-03-27",
    "ends": null,
    "primary": true,
    "compensation": {
      "amount": "37.0",
      "unit": "hour",
      "currency": "USD",
      "frequency": "monthly",
      "stock": null,
      "other": null
    },
    "location": {
      "address": {
        "country": "US",
        "city": "San Francisco",
        "line1": "123 Market Street",
        "line2": "Suite 500",
        "postal_code": "94103",
        "state": "CA"
      }
    },
    "classification": {
      "type": "",
      "status": "",
      "term": "",
      "overtime": null,
      "starts": "2026-03-27",
      "ends": null
    },
    "role": {
      "title": "Corporate Controller",
      "responsibilities": "Financial reporting, internal controls, audit management, compliance",
      "level": "Manager"
    },
    "reporting": {
      "department": null,
      "manager": {
        "name": "",
        "email": "priya@airfoil.example.com"
      },
      "starts": null,
      "ends": null
    }
  },
  "accounts": []
}